﻿// <auto-generated />
using System;
using ArtBank.Models.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace ArtBank.Migrations
{
    [DbContext(typeof(MainContext))]
    [Migration("20190704073226_1")]
    partial class _1
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.3-servicing-35854")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ArtBank.Models.Rate", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("CharCode");

                    b.Property<string>("Name");

                    b.Property<string>("Nominal");

                    b.Property<int>("NumCode");

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.ToTable("Rates");
                });

            modelBuilder.Entity("ArtBank.Models.contract.Batch", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("BatchIdentifier");

                    b.Property<int>("ContractId");

                    b.Property<DateTime>("dateTime");

                    b.HasKey("Id");

                    b.ToTable("Batches");
                });

            modelBuilder.Entity("ArtBank.Models.contract.Contract", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("ContractCode");

                    b.Property<int>("ContractDataId");

                    b.HasKey("Id");

                    b.HasIndex("ContractDataId");

                    b.ToTable("Contracts");
                });

            modelBuilder.Entity("ArtBank.Models.contract.ContractData", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Branch");

                    b.Property<string>("ContractStatus");

                    b.Property<string>("ContractSubtype");

                    b.Property<string>("CurrencyOfContract");

                    b.Property<string>("ExpectedEndDate");

                    b.Property<string>("NegativeStatusOfContract");

                    b.Property<string>("NextPaymentDate");

                    b.Property<string>("OwnershipType");

                    b.Property<string>("PaymentPeriodicity");

                    b.Property<string>("PhaseOfContract");

                    b.Property<int>("ProlongationAmountId");

                    b.Property<string>("ProlongationDate");

                    b.Property<string>("PurposeOfFinancing");

                    b.Property<string>("RealEndDate");

                    b.Property<string>("RestructuringDate");

                    b.Property<string>("StartDate");

                    b.Property<int>("TotalAmountId");

                    b.Property<int>("TotalMonthlyPaymentId");

                    b.Property<string>("TypeOfContract");

                    b.HasKey("Id");

                    b.ToTable("ContractDatas");
                });

            modelBuilder.Entity("ArtBank.Models.contract.ProlongationAmount", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Currency");

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.ToTable("ProlongationAmounts");
                });

            modelBuilder.Entity("ArtBank.Models.contract.SubjectRole", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ContractId");

                    b.Property<string>("CustomerCode");

                    b.Property<string>("GuarantorRelationship");

                    b.Property<string>("RealEndDate");

                    b.Property<string>("RoleOfCustomer");

                    b.HasKey("Id");

                    b.HasIndex("ContractId");

                    b.ToTable("SubjectRoles");
                });

            modelBuilder.Entity("ArtBank.Models.contract.TotalAmount", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Currency");

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.ToTable("TotalAmounts");
                });

            modelBuilder.Entity("ArtBank.Models.contract.TotalMonthlyPayment", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Currency");

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.ToTable("TotalMonthlyPayments");
                });

            modelBuilder.Entity("ArtBank.Models.value", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Value");

                    b.HasKey("Id");

                    b.ToTable("values");
                });

            modelBuilder.Entity("ArtBank.Models.contract.Contract", b =>
                {
                    b.HasOne("ArtBank.Models.contract.ContractData", "ContractData")
                        .WithMany("Contracts")
                        .HasForeignKey("ContractDataId")
                        .OnDelete(DeleteBehavior.Restrict);

                    b.HasOne("ArtBank.Models.contract.Batch")
                        .WithOne("Contract")
                        .HasForeignKey("ArtBank.Models.contract.Contract", "Id")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ArtBank.Models.contract.ProlongationAmount", b =>
                {
                    b.HasOne("ArtBank.Models.contract.ContractData")
                        .WithOne("ProlongationAmount")
                        .HasForeignKey("ArtBank.Models.contract.ProlongationAmount", "Id")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ArtBank.Models.contract.SubjectRole", b =>
                {
                    b.HasOne("ArtBank.Models.contract.Contract", "Contract")
                        .WithMany("SubjectRole")
                        .HasForeignKey("ContractId")
                        .OnDelete(DeleteBehavior.Restrict);
                });

            modelBuilder.Entity("ArtBank.Models.contract.TotalAmount", b =>
                {
                    b.HasOne("ArtBank.Models.contract.ContractData")
                        .WithOne("TotalAmount")
                        .HasForeignKey("ArtBank.Models.contract.TotalAmount", "Id")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ArtBank.Models.contract.TotalMonthlyPayment", b =>
                {
                    b.HasOne("ArtBank.Models.contract.ContractData")
                        .WithOne("TotalMonthlyPayment")
                        .HasForeignKey("ArtBank.Models.contract.TotalMonthlyPayment", "Id")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
